| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::slave_zapette Class Reference
Private

this class answers to order given by a zapette object More...

`#include <zapette.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| slave_zapette (generic_file *input, generic_file *output, generic_file *data)
| slave_zapette constructor More...
void | action ()
| main execution method for slave_zapette class More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

this class answers to order given by a zapette object

through a pair of pipes slave_zapette return information about a given local archive (single or multi slices).

Definition at line 128 of file zapette.hpp.

## Constructor & Destructor Documentation

libdar::slave_zapette::slave_zapette | ( | generic_file * | input,
|  | generic_file * | output,
|  | generic_file * | data
| ) |  |

slave_zapette constructor

Parameters

  [in] | input | is used to receive orders from an zapette object
  [in] | output | is used to return informations or data in answer to received orders
  [in] | data | is where the informations or data is taken from. Object must inherit from contextual

## Member Function Documentation

void libdar::slave_zapette::action | ( |  | ) |

main execution method for slave_zapette class

this method implement a loop waiting for orders and answering to them the loop stops when a special order is received from the peer zapette object

The documentation for this class was generated from the following file:

- zapette.hpp